////////////////////////////////////////////////////////////////////////
//	Application	: Sample16.exe and Sample32.exe
//	File Name		: Testlbox.hpp
//	Date				: March 14, 1995
//	Remarks			: Dialog class to demonstrate Virtual List Box Control
////////////////////////////////////////////////////////////////////////
//	COPYRIGHT
//  	Sapient Technology, Inc.
//  	Copyright  1994, 1995. All Rights Reserved.
//	AUTHOR
//  	Ravi Prakash
////////////////////////////////////////////////////////////////////////
#ifndef __TESTLBOX__H
#define __TESTLBOX__H

#include "dialog.hpp"
#include "data.hpp"
#include "samplapp.rh"


#define	DLG_EXIT_LBOX		WM_USER + 13003

class TestListBox : public Dialog {
	HWND _lbox, _fn, _ln, _add, _city, _state, _zip;
	LPDATAREC _db;
	DataBase *_dBase;
	LPVLBROWDATA _lbData;
	LPVLBCOLUMNS _colWidth;

public:
	TestListBox( HWND, HINSTANCE, int );
	~TestListBox();

	BOOL WmInitDialog(HWND hwnd, HWND hwndFocus, LPARAM lParam);
	BOOL HandleUserMsg( HWND, UINT, WPARAM, LPARAM );
	void WmCommand( HWND, int, HWND, UINT );

private:
	void MoveToBuffer();

protected:
	TestListBox( const TestListBox& );
	const TestListBox& operator=( const TestListBox& );

};


#endif